Bug 1417439 - When adding lease using REST high availability should be enabled first
Summary: When adding lease using REST high availability should be enabled first
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage
Version: 4.1.0
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.1.1
: 4.1.1.2
Assignee: Tal Nisan
QA Contact: Lilach Zitnitski
URL:
Whiteboard:
Depends On:
Blocks: 1412230
TreeView+ depends on / blocked
 
Reported: 2017-01-29 11:12 UTC by Lilach Zitnitski
Modified: 2017-04-21 09:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:48:19 UTC
oVirt Team: Storage
rule-engine: ovirt-4.1+
ylavi: blocker-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 72264 0 master MERGED core: Block adding of a VM lease if high availabilty is not turned on 2017-02-14 14:36:44 UTC
oVirt gerrit 72273 0 ovirt-engine-4.1 MERGED core: Block adding of a VM lease if high availabilty is not turned on 2017-02-14 15:22:21 UTC

Description Lilach Zitnitski 2017-01-29 11:12:50 UTC
Description of problem:
To add a lease using gui, you must enable high availability first, while using REST you can add lease without enabling HA, and I think there should be no difference between the gui and the rest. 
Also, when adding lease using the REST without enabling first the HA, it make it possible to do so in the gui (adding lease without enabling the HA). 

I think when adding lease using REST, it should fail if high availability is disabled, or the add lease command will automatically change the HA as well.

Comment 1 Lilach Zitnitski 2017-02-19 09:22:32 UTC
--------------------------------------
Tested with the following code:
----------------------------------------
rhevm-4.1.1.2-0.1.el7.noarch
vdsm-4.19.6-1.el7ev.x86_64

Tested with the following scenario:

Steps to Reproduce:
1. add vm lease using rest api while high-availability is disabled
2. 

Actual results:
operation fails, can't add lease while high availability is set to false 

Expected results:

Moving to VERIFIED!


Note You need to log in before you can comment on or make changes to this bug.